curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"approved_by": "string"
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Approve a purchase orders
Approve a purchase orders
POST
/
api
/
v1
/
purchase-orders
/
{id}
/
approve
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"approved_by": "string"
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Path parameters
string
required
Purchase order ID
Request body
ApprovePurchaseOrderRequest
string
required
Name/ID of the approver.
Responses
PurchaseOrderResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"approved_by": "string"
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
โI